## org.jgroups.stack
Class DefaultRetransmitter.SeqnoTask

    java.lang.Object
      org.jgroups.stack.Retransmitter.Task
          org.jgroups.stack.DefaultRetransmitter.SeqnoTask

All Implemented Interfaces:
  java.lang.Runnable, TimeScheduler.Task

Enclosing class:
  DefaultRetransmitter

    protected class DefaultRetransmitter.SeqnoTask

extends Retransmitter.Task

Field Summary

Fields inherited from class org.jgroups.stack.Retransmitter.Task
`cancelled, command, future, intervals, msg_sender, num_retransmits`

Constructor Summary
`protected` `DefaultRetransmitter.SeqnoTask(long seqno, Interval intervals, Retransmitter.RetransmitCommand cmd, Address msg_sender)`

Method Summary
`protected void` `callRetransmissionCommand()`
`java.lang.String` `toString()`

Methods inherited from class org.jgroups.stack.Retransmitter.Task
`cancel, doSchedule, getNumRetransmits, nextInterval, run`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefaultRetransmitter.SeqnoTask

    protected DefaultRetransmitter.SeqnoTask(long seqno,
                                             Interval intervals,
                                             Retransmitter.RetransmitCommand cmd,
                                             Address msg_sender)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### callRetransmissionCommand

    protected void callRetransmissionCommand()

  Specified by:
    `callRetransmissionCommand` in class `Retransmitter.Task`

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.